/*
*Copyright 2006 jmin. All rights reserved.
*/
package org.jmin.service;

import java.util.EventListener;

/*
 * An event listener object to handle events.When events raised,
 * listeners will catch them,and do some logic operations for 
 * came events,for example: deploying,undeploying,redeploying.
 * Of course, you also add other logic  for you application.
 *
 * @author Chris liao
 * @version 1.0
 * @date 2004/10/01
 */

public interface DiscoverListener extends EventListener{


 //method to handle a new source.
  public void newSource(DiscoverEvent event);


  //method to handle a updated source.
  public void updateSource(DiscoverEvent event);


 //method to handle a deleted source.
  public void deleteSource(DiscoverEvent event);

}