/*
*Copyright 2006 jmin. All rights reserved.
*/
package org.jmin.service;

/*
 * A object to distinguish the current source is whether belong to a 
 * service.Source contains some components and component description.
 * If a service wants to do some things on the current source,it must 
 * distinguish the source is whether belong to it,if true,the service 
 * will resolve components from it.
 * 
 * @author Chris liao
 * @version 1.0
 * @date 2004/10/01
 */

public interface Discriminator {

  /**
   * Identify source is whether belong to some service.
   */
  public boolean identify(Source source)throws IdentificationException;

}