/*
*Copyright 2006 jmin. All rights reserved.
*/
package org.jmin.service;

import java.util.List;

/*
 * Object works as a service parser,which can resolve components from
 * <object>Source</object>.How to resolve? Description of components will be
 * applied for it.The parser should read out description of components from
 * physical files,then instantiate components by its description.
 * This object should work as a member of a sevice in theory.
 *
 * @author Chris liao
 * @version 1.0
 * @date 2004/10/01
 */

public interface Parser{

  /**
   * Operation to resolve components from the current source
   *
   * @List:form of <class>Component</class>
   */
  public List resolve(Source source)throws ParseException;

}